package com.lockscreen.onelock

import android.annotation.TargetApi
import android.os.Build
import android.os.Bundle
import com.beef.pseudo.PseudoActivityEx
import com.dotools.umlibrary.UMPostUtils


class NewLockActivity : PseudoActivityEx() {
    @TargetApi(Build.VERSION_CODES.N)
    override fun onCreate(savedInstanceState: Bundle?) {
        super.requestOverlayPermission()
        super.onCreate(savedInstanceState)
    }

    override fun onResume() {
        super.onResume()
        UMPostUtils.onActivityResume(this)
    }

    override fun onPause() {
        super.onPause()
        UMPostUtils.onActivityPause(this)
    }

}

